> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca tutte le Knowledge

> Elenca tutte le voci e le cartelle Knowledge dell'organizzazione.



## OpenAPI

````yaml it/v1-openapi.yaml GET /v1/knowledge
openapi: 3.1.0
info:
  description: Devin v1 API con API Keys personali e di servizio
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/knowledge:
    get:
      summary: Elenca tutte le Knowledge
      description: Elenca tutte le voci e le cartelle Knowledge dell'organizzazione.
      operationId: get_all_knowledge_v1_knowledge_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllKnowledgeResponse'
          description: Risposta riuscita
components:
  schemas:
    AllKnowledgeResponse:
      properties:
        folders:
          items:
            $ref: '#/components/schemas/FolderResponse'
          title: Folders
          type: array
        knowledge:
          items:
            $ref: '#/components/schemas/KnowledgeResponse'
          title: Knowledge
          type: array
      required:
        - knowledge
        - folders
      title: AllKnowledgeResponse
      type: object
    FolderResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          title: Description
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - description
        - created_at
      title: FolderResponse
      type: object
    KnowledgeResponse:
      properties:
        body:
          title: Body
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          anyOf:
            - $ref: '#/components/schemas/KnowledgeCreatedBy'
            - type: 'null'
        id:
          title: Id
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        name:
          title: Name
          type: string
        parent_folder_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Folder Id
        pinned_repo:
          anyOf:
            - type: string
            - type: 'null'
          title: Pinned Repo
        trigger_description:
          title: Trigger Description
          type: string
      required:
        - name
        - body
        - trigger_description
        - id
        - created_at
      title: KnowledgeResponse
      type: object
    KnowledgeCreatedBy:
      description: Informazioni sull’autore di una voce di Knowledge.
      properties:
        full_name:
          title: Full Name
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      required:
        - full_name
      title: KnowledgeCreatedBy
      type: object
  securitySchemes:
    bearerAuth:
      description: Chiave API personale (apk_user_\*) o chiave API di servizio (apk_\*)
      scheme: bearer
      type: http

````